using System;
using System.Collections.Generic;
using System.Text;
using Ruby;
using VALUE = System.Int32;
using StarEngine.Core;

namespace StarEngine.Ruby
{
    /// <summary>
    /// Ruby インタプリタと共に使用するゲームです。
    /// </summary>
    internal class RubyGame : IGame
    {
        public RubyGame(RubyInterpreter rubyInterpreter)
        {
            this.RubyInterpreter = rubyInterpreter;
        }

        private RubyInterpreter RubyInterpreter;

        public void Update(IGameEnvironment env)
        {
            VALUE mGame = SERubyConsts.ForName("Game");
            RUBY.Send(mGame, "call_frame_block");
        }

        public int Fps
        {
            get { return this.fps; }
            set { this.fps = value; }
        }
        private int fps = 30;

        public string Title
        {
            get { return this.title; }
            set { this.title = value; }
        }
        private string title = "No Title";
    }
}
